#ifndef OBJECT_STRING_H
#define OBJECT_STRING_H
// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// prototype.cc - prototype module to test out the new design considerations
//static char RCSID[] ="$Id: string.h,v 1.1 2006/02/27 18:50:34 cubbi Exp cubbi $";

#include <iostream>
#include "list.h"

extern int string_type_count;

class JC_string : public JC_list {
public:
	JC_string(const std::string&);
	virtual ~JC_string(void);

	virtual std::string to_string() const;
	virtual std::string to_output_string() const;
	void debug_print(void) const;

    inline const obj_type get_type(void) const { return STRING; };
	std::string key(void) const;
};
#endif
